summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Felix Pfeifer2010-09-12 09:02:59 +0200
committer Robby Workman2010-09-13 06:08:53 +0200
commitefb64bcc5542533b0d0ddfb895ef444f149caf30 (patch)
treee75658b3776642af084b16755f2472596e6940e8 /system
parent250dd5450676fc9263c21e6e2144b01b09f4f585 (diff)
downloadslackbuilds-efb64bcc5542533b0d0ddfb895ef444f149caf30.tar.gz
system/midisport-firmware: Added (M-Audio/Midiman MIDI/Audio firmware)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/midisport-firmware/README11
-rw-r--r--system/midisport-firmware/configure.diff12
-rw-r--r--system/midisport-firmware/midisport-firmware.SlackBuild51
-rw-r--r--system/midisport-firmware/midisport-firmware.info10
-rw-r--r--system/midisport-firmware/slack-desc19
5 files changed, 103 insertions, 0 deletions
diff --git a/system/midisport-firmware/README b/system/midisport-firmware/README
new file mode 100644
index 0000000000..0032f597c5
--- /dev/null
+++ b/system/midisport-firmware/README
@@ -0,0 +1,11 @@
+Firmware loaders for M-Audio/Midiman USB MIDI and Audio devices
+
+These package allows you to use some of M-Audio's USB MIDI and Audio
+interfaces with Linux. These devices require a firmware download
+before a driver (e.g. ALSA's snd-usb-audio) can access them.
+
+Supported devices include MidiSport 1x1, MidiSport 2x2, MidiSport 4x4,
+MidiSport 8x8, KeyStation (old models: 49, 61), Oxygen, Radium49,
+Radium61, and Uno.
+
+This requires fxload.
diff --git a/system/midisport-firmware/configure.diff b/system/midisport-firmware/configure.diff
new file mode 100644
index 0000000000..88d41d8419
--- /dev/null
+++ b/system/midisport-firmware/configure.diff
@@ -0,0 +1,12 @@
+diff -Nur midisport-firmware-1.2.orig//configure midisport-firmware-1.2/configure
+--- midisport-firmware-1.2.orig//configure 2006-03-05 15:01:49.000000000 -0600
++++ midisport-firmware-1.2/configure 2010-09-12 01:47:17.753971701 -0500
+@@ -1737,7 +1737,7 @@
+
+ echo "$as_me:$LINENO: checking for udev version" >&5
+ echo $ECHO_N "checking for udev version... $ECHO_C" >&6
+-udev_ver=`udevinfo -V | awk '{ print $3 }'`
++udev_ver=`udevadm -V`
+ if test -n "$udev_ver"; then
+ echo "$as_me:$LINENO: result: $udev_ver" >&5
+ echo "${ECHO_T}$udev_ver" >&6
diff --git a/system/midisport-firmware/midisport-firmware.SlackBuild b/system/midisport-firmware/midisport-firmware.SlackBuild
new file mode 100644
index 0000000000..bfbd7044e4
--- /dev/null
+++ b/system/midisport-firmware/midisport-firmware.SlackBuild
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Slackware build script for midisport-firmware
+
+# Written by Felix Pfeifer (pfeifer[dot]felix[at]googlemail[dot]com)
+
+PRGNAM=midisport-firmware
+VERSION=${VERSION:-1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/configure.diff
+
+# udev rules should be in /lib/udev/rules.d/ instead of /etc/udev/rules.d/
+./configure --prefix=/usr --with-udev=/lib/udev
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/midisport-firmware/midisport-firmware.info b/system/midisport-firmware/midisport-firmware.info
new file mode 100644
index 0000000000..9e9c81ba35
--- /dev/null
+++ b/system/midisport-firmware/midisport-firmware.info
@@ -0,0 +1,10 @@
+PRGNAM="midisport-firmware"
+VERSION="1.2"
+HOMEPAGE="http://usb-midi-fw.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/usb-midi-fw/midisport-firmware-1.2.tar.gz"
+MD5SUM="b1e4976b68f396a50e92491caa6f36bc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Felix Pfeifer"
+EMAIL="pfeifer[dot]felix[at]googlemail[dot]com"
+APPROVED="rworkman"
diff --git a/system/midisport-firmware/slack-desc b/system/midisport-firmware/slack-desc
new file mode 100644
index 0000000000..4d2f5a5234
--- /dev/null
+++ b/system/midisport-firmware/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+midisport-firmware: midisport-firmware (M-Audio/Midiman MIDI/Audio firmware and loader)
+midisport-firmware:
+midisport-firmware: These package allows you to use some of M-Audio's USB MIDI and
+midisport-firmware: Audio interfaces with Linux. These devices require a firmware
+midisport-firmware: before an operating system driver (e.g. ALSA's snd-usb-audio)
+midisport-firmware: can access them.
+midisport-firmware:
+midisport-firmware: http://usb-midi-fw.sourceforge.net/
+midisport-firmware:
+midisport-firmware:
+midisport-firmware: